Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.

Bug 5686

Summary: nscd caches only one DNS entry of a round-robin set.
Product: [Retired] Red Hat Raw Hide Reporter: David Woodhouse <dwmw2>
Component: glibcAssignee: Cristian Gafton <gafton>
Status: CLOSED RAWHIDE QA Contact:
Severity: medium Docs Contact:
Priority: medium    
Version: 1.0   
Target Milestone: ---   
Target Release: ---   
Hardware: i386   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2000-02-18 19:38:26 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:

Description David Woodhouse 1999-10-07 16:25:24 UTC
When using FTP sites such as ftp.uk.kernel.org, at least one
of which is usually down, the round robin DNS entries ensure
that a second connection attempt will usually go to a
different server than the previous attempt.

However, when nscd is running, it caches the first IP
address which is returned, and doesn't ever give any of the
others. So Sod's Law dictates that I get the broken one, and
have to enter IP addresses by hand if I want any others.

nscd ought to detect the presence of multiple A records
somehow, and either download them all or just refuse to
cache them.

Comment 1 David Woodhouse 1999-10-18 07:41:59 UTC
This bug also exists in RedHat 6.1

Comment 2 Cristian Gafton 2000-02-18 19:38:59 UTC
Fixed in the current devel tree.